import pygame as pg, math
 
# uključivanje rada biblioteke PyGame
pg.init()

# podešavamo naslov prozora
pg.display.set_caption("Kvadrati")
# uključujemo prozor dimenzije 250x50 piksela
(sirina, visina) = (250, 50)
prozor = pg.display.set_mode((sirina, visina))
# bojimo pozadinu prozora u sivo
# prozor.fill(pg.Color("gray"))

# definišemo 5 osnovnih boja pomocu sistema RGB
CRVENA = (255, 0, 0)
ZELENA = (0, 255, 0)
PLAVA  = (0, 0, 255)
CRNA   = (0, 0, 0)
BELA   = (255, 255, 255)

# crtamo 5 kvadrata
pg.draw.rect(prozor, CRVENA, (0, 0, 50, 50))
pg.draw.rect(prozor, ZELENA, (50, 0, 50, 50))
pg.draw.rect(prozor, PLAVA,  (100, 0, 50, 50))
pg.draw.rect(prozor, CRNA,   (150, 0, 50, 50))
pg.draw.rect(prozor, BELA,   (200, 0, 50, 50))



# osvežavamo sadržaj prozora
pg.display.update()
 
# petlja obrade događaja - čekamo dok korisnik ne isključi prozor
while pg.event.wait().type != pg.QUIT:
    pass
 
# isključivanje rada biblioteke PyGame
pg.quit()
